AntiFeatures:
  - Tracking
Categories:
  - Multimedia
License: GPL-3.0-only
AuthorName: Raphael Michel
AuthorEmail: support@pretix.eu
WebSite: https://pretix.eu/
SourceCode: https://github.com/pretix/pretixprint-android
IssueTracker: https://github.com/pretix/pretixprint-android/issues

AutoName: pretixPRINT
Description: |-
    Android app that drives the printers used by other pretix applications. This contains all print logic, but no application logic. It is called by other applications using system broadcasts.
    Tracking due to Sentry which cannot be disabled by the user.

RepoType: git
Repo: https://github.com/pretix/pretixprint-android

Builds:
  - versionName: 1.3.0
    versionCode: 8
    commit: 1.3.0
    subdir: pretixprint/app
    submodules: true
    gradle:
      - yes

  - versionName: 1.3.3
    versionCode: 11
    commit: 1.3.3
    subdir: pretixprint/app
    submodules: true
    gradle:
      - yes

  - versionName: 1.5.0
    versionCode: 13
    commit: 1.5.0
    subdir: pretixprint/app
    submodules: true
    gradle:
      - yes

  - versionName: 1.5.1
    versionCode: 14
    commit: 1.5.1
    subdir: pretixprint/app
    submodules: true
    gradle:
      - yes

  - versionName: 1.5.2
    versionCode: 15
    commit: 1.5.2
    subdir: pretixprint/app
    submodules: true
    gradle:
      - yes

  - versionName: 1.5.3
    versionCode: 16
    commit: 1.5.3
    subdir: pretixprint/app
    submodules: true
    gradle:
      - yes

  - versionName: 1.5.4
    versionCode: 18
    commit: 1.5.4
    subdir: pretixprint/app
    submodules: true
    gradle:
      - yes

  - versionName: 2.0.0
    versionCode: 19
    commit: 2.0.0
    subdir: pretixprint/app
    submodules: true
    gradle:
      - yes

  - versionName: 2.1.1
    versionCode: 21
    commit: 2.1.1
    subdir: pretixprint/app
    submodules: true
    gradle:
      - yes

  - versionName: 2.2.0
    versionCode: 22
    commit: 2.2.0
    subdir: pretixprint/app
    submodules: true
    gradle:
      - yes

  - versionName: 2.3.2
    versionCode: 26
    disable: 'fails to build: USB.kt: (19, 27): Unresolved reference: io'
    commit: 2.3.2
    subdir: pretixprint/app
    submodules: true
    gradle:
      - yes

  - versionName: 2.3.3-foss
    versionCode: 27
    commit: 2.3.3
    subdir: pretixprint/app
    submodules: true
    gradle:
      - foss

  - versionName: 2.4.0-foss
    versionCode: 30
    commit: 403e9151f2b0a526b7f530215b21c228b50d546a
    subdir: pretixprint/app
    submodules: true
    gradle:
      - foss

  - versionName: 2.4.1-foss
    versionCode: 31
    commit: e1cc750d3a33b4d58f264623ec3102c8a8b48256
    subdir: pretixprint/app
    submodules: true
    gradle:
      - foss

  - versionName: 2.5.0-foss
    versionCode: 32
    commit: c32fc3e12de8dbdd9ecd3cb7802fa314d07de7e9
    subdir: pretixprint/app
    submodules: true
    gradle:
      - foss

  - versionName: 2.5.2-foss
    versionCode: 34
    commit: a51ccf2bf3911aa2f7020363110b717f7067c01d
    subdir: pretixprint/app
    submodules: true
    gradle:
      - foss

  - versionName: 2.5.3-foss
    versionCode: 35
    commit: d94c29213af8a9d6b39a02b7420946c93587ebc8
    subdir: pretixprint/app
    submodules: true
    gradle:
      - foss

  - versionName: 2.5.4-foss
    versionCode: 36
    commit: 61f0c22a511a1853b315927165aa7736973a4b76
    subdir: pretixprint/app
    submodules: true
    gradle:
      - foss

  - versionName: 2.5.5-foss
    versionCode: 37
    commit: 7fe3ae5c8383885781652487280005d8f68f0591
    subdir: pretixprint/app
    submodules: true
    gradle:
      - foss

  - versionName: 2.6.0-foss
    versionCode: 38
    commit: addbe804f673242ec881e7a00225e763c8cbd997
    subdir: pretixprint/app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - foss

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 2.6.0-foss
CurrentVersionCode: 38
